<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_ea7a040ae8d83797" . "a9d185188ff864a2" => base64_decode("QXJndW1lbnQgMSBwYXNzZWQgdG" . "8g"), "_5c535722540e1ef86eeede227" . "4ec9cd4" => base64_decode("Oj" . "o="), "_5e30c4717ced36cff9e93e19a5c576" . "cc" => base64_decode("aXNfc3Ry" . "aW5n"), "_2397f28de5e7da63cb6c89957c55" . "8c65" => base64_decode("KCkgbXVzdCBiZSBhbiBhcnJheSBvZiB" . "zdHJpbmdzLCBvZmZzZXQg"), "_17a6e03f6ea2c" . "b3182fe69cc5fb" . "c89c6" => base64_decode("KCkgbXVzdCBiZSBhbiBhcnJheSBvZiBzdHJpbmdzLCBlbXB0eSBhcnJhe" . "SBwcm92aWRlZA=="), "_679665a8d413f3af139" . "3462bc4d2894f" => base64_decode("IG" . "lz" . "IA" . "=="), "_27d36ba68a85217963497" . "e66d46a8f86" => base64_decode("Z2V0dHlwZQ=" . "="));
use TypeError;





class MultiMatch
{
    
    
    private $value;
    
    
    private $fields;
    public function __construct(array $fields, $value)
    {
        $this->SetFields($fields);
        $this->SetValue($value);
    }
    
    
    
    
    
    
    public function GetFields() : array
    {
        return $this->fields;
    }
    
    
    
    
    
    
    public function GetValue()
    {
        return $this->value;
    }
    
    
    
    
    
    
    public function SetFields(array $fields) : void
    {
        if (empty($fields)) {
            throw new TypeError($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ea7a040ae8d83797" . "a9d185188ff864a2"] . self::class . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5c535722540e1ef" . "86eeede2274ec9cd" . "4"] . __FUNCTION__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_17a6e03f6ea2cb3182fe69" . "cc5fbc89c6"]);
        }
        foreach ($fields as $_1f50e30be8c2fefa6881834e71d504a2 => $field) {
            if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5e30c4717ced36cff9e" . "93e19a5c576cc"]($field)) {
                throw new TypeError($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ea7a040ae8d83797a9d18" . "5188ff864a2"] . self::class . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5c535722540e1ef86eeede2274ec9" . "cd4"] . __FUNCTION__ . ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2397f28de5e" . "7da63cb6c899" . "57c558c65"] . $_1f50e30be8c2fefa6881834e71d504a2 . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_679665a8d413" . "f3af1393462bc" . "4d2894f"]) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_27d36ba68a8521796" . "3497e66d46a8f86"]($field));
            }
        }
        $this->fields = $fields;
    }
    
    
    
    
    
    
    public function SetValue($value) : void
    {
        $this->value = $value;
    }
}